OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepBasic

# StepBasic_SiUnitAndPlaneAngleUnit Class Reference

`#include <StepBasic_SiUnitAndPlaneAngleUnit.hxx>`

Inheritance diagram for StepBasic_SiUnitAndPlaneAngleUnit:

[legend]

## Public Member Functions
Standard_EXPORT | StepBasic_SiUnitAndPlaneAngleUnit ()
| Returns a SiUnitAndPlaneAngleUnit .
virtual Standard_EXPORT void | Init (const Handle(StepBasic_DimensionalExponents)&aDimensions)
virtual Standard_EXPORT void | Init (const Standard_Boolean hasAprefix, const StepBasic_SiPrefix aPrefix, const StepBasic_SiUnitName aName)
Standard_EXPORT void | SetPlaneAngleUnit (const Handle(StepBasic_PlaneAngleUnit)&aPlaneAngleUnit)
Standard_EXPORT Handle_StepBasic_PlaneAngleUnit | PlaneAngleUnit () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepBasic_PlaneAngleUnit | planeAngleUnit

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_SiUnitAndPlaneAngleUnit::StepBasic_SiUnitAndPlaneAngleUnit | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepBasic_SiUnitAndPlaneAngleUnit::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepBasic_SiUnit.

virtual Standard_EXPORT void StepBasic_SiUnitAndPlaneAngleUnit::Init | ( | const Standard_Boolean | hasAprefix,
|  | const StepBasic_SiPrefix | aPrefix,
|  | const StepBasic_SiUnitName | aName
| ) | `[virtual]`

| Reimplemented from StepBasic_SiUnit.

virtual Standard_EXPORT void StepBasic_SiUnitAndPlaneAngleUnit::Init | ( | const Handle(StepBasic_DimensionalExponents)& | aDimensions | ) | `[virtual]`

| Reimplemented from StepBasic_SiUnit.

Standard_EXPORT Handle_StepBasic_PlaneAngleUnit StepBasic_SiUnitAndPlaneAngleUnit::PlaneAngleUnit | ( |  | ) | const

Standard_EXPORT void StepBasic_SiUnitAndPlaneAngleUnit::SetPlaneAngleUnit | ( | const Handle(StepBasic_PlaneAngleUnit)& | aPlaneAngleUnit | ) |

## Field Documentation

Handle_StepBasic_PlaneAngleUnit StepBasic_SiUnitAndPlaneAngleUnit::planeAngleUnit`[private]`

The documentation for this class was generated from the following file:

- StepBasic_SiUnitAndPlaneAngleUnit.hxx